<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Eddie: message_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Eddie
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structmessage__t-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">message_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ac0d859664476147d1fe19d5ea04e344b"><td class="memItemLeft" align="right" valign="top"><a id="ac0d859664476147d1fe19d5ea04e344b"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>data</b></td></tr>
<tr class="separator:ac0d859664476147d1fe19d5ea04e344b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac31c8450d8560c3e00d119a134bdcbae"><td class="memItemLeft" align="right" valign="top"><a id="ac31c8450d8560c3e00d119a134bdcbae"></a>
response_code_t&#160;</td><td class="memItemRight" valign="bottom"><b>status_code</b></td></tr>
<tr class="separator:ac31c8450d8560c3e00d119a134bdcbae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46b9d6241d92b52a1011ed5f7b43a50f"><td class="memItemLeft" align="right" valign="top"><a id="a46b9d6241d92b52a1011ed5f7b43a50f"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>src_host</b></td></tr>
<tr class="separator:a46b9d6241d92b52a1011ed5f7b43a50f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1efe7e9fec44735903d8e6d53106b0b"><td class="memItemLeft" align="right" valign="top"><a id="ae1efe7e9fec44735903d8e6d53106b0b"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>src_port</b></td></tr>
<tr class="separator:ae1efe7e9fec44735903d8e6d53106b0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea6e4e98d3c505e102d104d17748a80d"><td class="memItemLeft" align="right" valign="top"><a id="aea6e4e98d3c505e102d104d17748a80d"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>location_path</b></td></tr>
<tr class="separator:aea6e4e98d3c505e102d104d17748a80d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>/builds/eclipse/oniro-core/eddie/common/include/<a class="el" href="eddie_8h_source.html">eddie.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
